Closed Bug 1536543 Opened 1 year ago Closed 1 year ago

Require rust 1.34

Categories

(Firefox Build System :: General, enhancement)

enhancement
Not set

Tracking

(firefox68 fixed)

RESOLVED FIXED
mozilla68
Tracking Status
firefox68 --- fixed

People

(Reporter: chmanchester, Assigned: glandium)

References

(Blocks 1 open bug)

Details

Attachments

(1 file)

No description provided.
Assignee: nobody → mh+mozilla
Depends on: 1541313
Depends on: 1543469
Summary: Require rust 1.33 → Require rust 1.34

We're going to jump the 1.33 requirement per bug 1543469 comment 0.

Attachment #9055376 - Attachment description: Bug 1536543 - Require rust 1.33. → Bug 1536543 - Require rust 1.34.

Schedule-wise, it's about when we should switch the requirement. The question is whether bug https://github.com/rust-lang/rust/issues/60020 / bug 1544416 should make us go back to 1.33...

Flags: needinfo?(nfroyd)

(In reply to Mike Hommey [:glandium] from comment #3)

Schedule-wise, it's about when we should switch the requirement. The question is whether bug https://github.com/rust-lang/rust/issues/60020 / bug 1544416 should make us go back to 1.33...

I dunno, we're already compiling with 1.34 in automation; it seems to me the real question is whether we should roll back the automation changes, no?

I'm leaning towards keeping 1.34 in automation (and therefore we can move forward with this bug), since I think we understand the Rust issue and I'm optimistic that it'll get fixed soon (and maybe even uplifted.

Flags: needinfo?(nfroyd)
Status: NEW → RESOLVED
Closed: 1 year ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68
You need to log in before you can comment on or make changes to this bug.